CREATE procedure [C6StagingPeriodico].[RP_EstrazioneProfiliInScadenza_new]
as
BEGIN
-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_EstrazioneProfiliInScadenza2',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	DECLARE @id_periodiodo as int
	declare @date as datetime;
	select @id_periodiodo = max(id_periodo) from [MIFD_ADEGUATEZZA].SEIAlertDW.[dbo].[Vis_Mifid_Report]
    select * into #TempVisMifidReport from [MIFD_ADEGUATEZZA].SEIAlertDW.[dbo].[Vis_Mifid_Report]
	TRUNCATE TABLE C6STAGINGPERIODICO.RP_MAIL_PROFILI_RISCHIO_TEST 
	INSERT INTO C6STAGINGPERIODICO.RP_MAIL_PROFILI_RISCHIO_TEST 
	select 
	a.rete, cod_fiscale, codicecontratto, cod_agente, null as data_sott, data_perf, 
	b.inviobenvenuto as flag_invio_report, profiloAss As Profilo, 
	dtprofilo as dt_creazione_profilo    
	from
    C6Mart.vcontratti a
	inner join C6Mart.contrattosei_metadati b
	on a.chiaveclientepb = b.chiaveclientepb
	left outer join
	#TempVisMifidReport c
	on 
	(case 
	 when len(CodMan) = 0
	 then   c.CodFiscale
	 else 'FF@'+ CodMan
	end) = a.cod_fiscale 
	and a.rete=c.rete
    and a.cod_agente = substring(c.codagente, 2, len(c.codagente)- 1)
	where 
	c.id_periodo= @id_periodiodo--- chiedi ad antonio il periodo
	and a.data_fineavanzato > getDate()
	--CONDIZIONE FILTRO PER I PROSSIMI 3 MESI
	--And datediff(dd,dtprofilo,dateadd(mm,3,getdate()))/365.25>3
	--And datediff(dd,dtprofilo,getdate())/365.25>3
--
--	union 
--
--	select 
--	a.rete, cod_fiscale, codicecontratto, cod_agente, data_sott, data_perf, 
--	inviobenvenuto as flag_invio_report, profilo, dtprofilo as dt_creazione_profilo
--	from
--	c6mart.contrattosei a
--	left outer join
--	[10.10.32.84].controllodata.dbo.clientiAdeguatezza_ALL b
--	on 
--	(case 
--	 when len("codice mandato") = 0
--	 then  b."codice fiscale"
--	 else 'FF@'+"codice mandato"
--	end) = a.cod_fiscale 
--	and a.rete=b.rete
--	where 
--	b.id_periodo= @id_periodiodo
--	and a.data_fineavanzato is null
--
--	--CONDIZIONE FILTRO PER scaduti
--	And profiloscaduto='S'
--order by dt_creazione_profilo
-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_EstrazioneProfiliInScadenza2' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_EstrazioneProfiliInScadenza'
		)
end